> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# List all deleted list-objects

> Lists deleted non-transaction list-objects (e.g., customers, vendors, employees, items) from the last 90 days. Results are grouped by list-object type and ordered by actual delete time (ascending). For deleted transactions (e.g., invoices, bills, estimates), see the deleted-transactions endpoint.



## OpenAPI

````yaml GET /quickbooks-desktop/deleted-list-objects
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /quickbooks-desktop/deleted-list-objects:
    get:
      summary: List all deleted list-objects
      description: >-
        Lists deleted non-transaction list-objects (e.g., customers, vendors,
        employees, items) from the last 90 days. Results are grouped by
        list-object type and ordered by actual delete time (ascending). For
        deleted transactions (e.g., invoices, bills, estimates), see the
        deleted-transactions endpoint.
      parameters:
        - in: query
          name: objectTypes
          description: Filter for deleted list-objects by their list-object type(s).
          schema:
            type: array
            description: Filter for deleted list-objects by their list-object type(s).
            example:
              - customer
            items:
              type: string
              enum:
                - account
                - billing_rate
                - class
                - currency
                - customer
                - customer_message
                - customer_type
                - date_driven_terms
                - employee
                - inventory_site
                - item_discount
                - item_fixed_asset
                - item_group
                - item_inventory
                - item_inventory_assembly
                - item_non_inventory
                - item_other_charge
                - item_payment
                - item_sales_tax
                - item_sales_tax_group
                - item_service
                - item_subtotal
                - job_type
                - other_name
                - payment_method
                - payroll_item_non_wage
                - payroll_item_wage
                - price_level
                - sales_representative
                - sales_tax_code
                - ship_method
                - standard_terms
                - to_do
                - unit_of_measure_set
                - vehicle
                - vendor
                - vendor_type
                - workers_comp_code
          required: true
        - in: query
          name: deletedAfter
          description: >-
            Filter for deleted list-objects deleted on or after this date/time,
            within the last 90 days (QuickBooks limit). Accepts the following
            ISO 8601 formats:

            - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
            date as the **start of the specified day** in the local timezone of
            the end-user's computer (e.g., `2025-01-01` →
            `2025-01-01T00:00:00`).

            - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
            Desktop interprets the timestamp in the local timezone of the
            end-user's computer.

            - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
            QuickBooks Desktop interprets the timestamp using the specified
            timezone.
          schema:
            type: string
            description: >-
              Filter for deleted list-objects deleted on or after this
              date/time, within the last 90 days (QuickBooks limit). Accepts the
              following ISO 8601 formats:

              - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
              date as the **start of the specified day** in the local timezone
              of the end-user's computer (e.g., `2025-01-01` →
              `2025-01-01T00:00:00`).

              - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
              Desktop interprets the timestamp in the local timezone of the
              end-user's computer.

              - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
              QuickBooks Desktop interprets the timestamp using the specified
              timezone.
            example: '2025-01-01T12:34:56.000Z'
        - in: query
          name: deletedBefore
          description: >-
            Filter for deleted list-objects deleted on or before this date/time,
            within the last 90 days (QuickBooks limit). Accepts the following
            ISO 8601 formats:

            - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
            date as the **end of the specified day** in the local timezone of
            the end-user's computer (e.g., `2025-01-01` →
            `2025-01-01T23:59:59`).

            - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
            Desktop interprets the timestamp in the local timezone of the
            end-user's computer.

            - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
            QuickBooks Desktop interprets the timestamp using the specified
            timezone.
          schema:
            type: string
            description: >-
              Filter for deleted list-objects deleted on or before this
              date/time, within the last 90 days (QuickBooks limit). Accepts the
              following ISO 8601 formats:

              - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
              date as the **end of the specified day** in the local timezone of
              the end-user's computer (e.g., `2025-01-01` →
              `2025-01-01T23:59:59`).

              - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
              Desktop interprets the timestamp in the local timezone of the
              end-user's computer.

              - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
              QuickBooks Desktop interprets the timestamp using the specified
              timezone.
            example: '2025-02-01T12:34:56.000Z'
        - in: header
          name: Conductor-End-User-Id
          description: The ID of the End-User to receive this request.
          schema:
            type: string
            description: The ID of the End-User to receive this request.
            example: end_usr_1234567abcdefg
            x-stainless-naming:
              typescript:
                method_argument: conductorEndUserId
              mcp:
                method_argument: conductorEndUserId
          required: true
      responses:
        '200':
          description: Returns a list of deleted list-objects.
          headers:
            Conductor-Request-Id:
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
              required: true
          content:
            application/json:
              schema:
                type: object
                properties:
                  objectType:
                    type: string
                    const: list
                    description: The type of object. This value is always `"list"`.
                    example: list
                  url:
                    type: string
                    description: The endpoint URL where this list can be accessed.
                    example: /v1/quickbooks-desktop/deleted-list-objects
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/qbd_deleted_list_object'
                    description: The array of deleted list-objects.
                required:
                  - objectType
                  - url
                  - data
                additionalProperties: false
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Conductor from 'conductor-node';


            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });


            const deletedListObjects = await
            conductor.qbd.deletedListObjects.list({
              objectTypes: ['customer'],
              conductorEndUserId: 'end_usr_1234567abcdefg',
            });


            console.log(deletedListObjects.data);
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            deleted_list_objects = conductor.qbd.deleted_list_objects.list(
                object_types=["customer"],
                conductor_end_user_id="end_usr_1234567abcdefg",
            )
            print(deleted_list_objects.data)
components:
  schemas:
    qbd_deleted_list_object:
      type: object
      properties:
        listType:
          type: string
          enum:
            - account
            - billing_rate
            - class
            - currency
            - customer
            - customer_message
            - customer_type
            - date_driven_terms
            - employee
            - inventory_site
            - item_discount
            - item_fixed_asset
            - item_group
            - item_inventory
            - item_inventory_assembly
            - item_non_inventory
            - item_other_charge
            - item_payment
            - item_sales_tax
            - item_sales_tax_group
            - item_service
            - item_subtotal
            - job_type
            - other_name
            - payment_method
            - payroll_item_non_wage
            - payroll_item_wage
            - price_level
            - sales_representative
            - sales_tax_code
            - ship_method
            - standard_terms
            - to_do
            - unit_of_measure_set
            - vehicle
            - vendor
            - vendor_type
            - workers_comp_code
          description: The type of deleted list object (i.e., non-transaction).
          example: customer
        id:
          type: string
          description: >-
            The unique identifier assigned by QuickBooks to this deleted
            list-object. This ID is unique across all deleted list-objects but
            not across different QuickBooks object types.
          example: 80000001-1234567890
        objectType:
          type: string
          const: qbd_deleted_list_object
          description: >-
            The type of object. This value is always
            `"qbd_deleted_list_object"`.
          example: qbd_deleted_list_object
        createdAt:
          type: string
          description: >-
            The date and time when this deleted list-object was created, in ISO
            8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop
            interprets in the local timezone of the end-user's computer.
          example: '2025-01-01T12:34:56.000Z'
        deletedAt:
          type: string
          description: >-
            The date and time when this deleted list-object was deleted, in ISO
            8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop
            interprets in the local timezone of the end-user's computer.
          example: '2025-02-01T12:34:56.000Z'
        fullName:
          type:
            - string
            - 'null'
          description: >-
            The case-insensitive fully-qualified unique name of this deleted
            list-object, formed by combining the names of its hierarchical
            parent objects with its own `name`, separated by colons. For
            example, if a deleted list-object is under "Parent" and has the
            `name` "Child", its `fullName` would be "Parent:Child".


            **NOTE**: Unlike `name`, `fullName` is guaranteed to be unique
            across all deleted list-object objects. However, `fullName` can
            still be arbitrarily changed by the QuickBooks user when they modify
            the underlying `name` field.
          example: Parent:Child
      required:
        - listType
        - id
        - objectType
        - createdAt
        - deletedAt
        - fullName
      additionalProperties: false
      title: The Deleted List-Object object
      x-conductor-object-type: other
      summary: >-
        A deleted list-object represents a QuickBooks list object (e.g.,
        customer, vendor, item) that has been removed from the company file
        within the last 90 days.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````

Built with [Mintlify](https://mintlify.com).